Debian Bug report logs - #180149
xmlto: fo output script improperly uses sed

Package: xmlto; Maintainer for xmlto is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for xmlto is src:xmlto.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Fri, 7 Feb 2003 17:03:03 UTC

Severity: important

Tags: sid

Merged with 176415

Done: Daniel Leidert <daniel.leidert@wgdd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fabien Ninoles <fabien@debian.org>, xmltex@packages.qa.debian.org:
Bug#180149; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Michal Gajda <mgajda@mimuw.edu.pl>:
New Bug report received and forwarded. Copy sent to Fabien Ninoles <fabien@debian.org>, xmltex@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Gajda <mgajda@mimuw.edu.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xmltex reports error: Argument of \XML@getattrib has an extra }
Date: Fri, 7 Feb 2003 17:59:04 +0100 (CET)
Package: xmltex
Version: 1.9-5
Severity: important

Try "xmlto pdf" (which produces XSL-FO and then invokes xmltex).
The first docbook document succeeds to xmltex'ize, the other one fails:
-----------------------------------------------------------------------
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE book SYSTEM "/usr/share/sgml/docbook/dtd/xml/4/docbookx.dtd">
<book>
        <chapter>
                <title><sgmltag>A</sgmltag></title>
                <sect1>
                        <title>
                                B
                        </title>
                        <para/>
                </sect1>
        </chapter>
</book>
-----------------------------------------------------------------------
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE book SYSTEM "/usr/share/sgml/docbook/dtd/xml/4/docbookx.dtd">
<book>
        <chapter>
                <title><sgmltag>A</sgmltag></title>
                <sect1>
                        <title>
                                <sgmltag>B</sgmltag>
                        </title>
                        <para/>
                </sect1>
        </chapter>
</book>
-----------------------------------------------------------------------

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux dalia 2.4.20-pre10 #5 Sun Oct 20 14:24:43 CEST 2002 i686
Locale: LANG=pl_PL.ISO-8859-2, LC_CTYPE=pl_PL.ISO-8859-2

Versions of packages xmltex depends on:
ii  tetex-base              1.0.2+20011202-3 basic teTeX library files
ii  tetex-bin               1.0.7+20011202-8 teTeX binary files
ii  tetex-extra             1.0.2+20011202-3 extra teTeX library files

      Miłego weekendu :-) ;-) :-))
		Michał




Information forwarded to debian-bugs-dist@lists.debian.org, Fabien Ninoles <fabien@debian.org>, xmltex@packages.qa.debian.org:
Bug#180149; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Michal Gajda <mgajda@mimuw.edu.pl>:
Extra info received and forwarded to list. Copy sent to Fabien Ninoles <fabien@debian.org>, xmltex@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 180149@bugs.debian.org (full text, mbox):

From: Michal Gajda <mgajda@mimuw.edu.pl>
To: 180149@bugs.debian.org
Subject: xmltex: Three short FO files demonstrating bad interaction of <fo:marker><fo:inline/></fo:marker>.
Date: Sat, 8 Feb 2003 13:13:54 +0100 (CET)
Followup-For: Bug #180149
Package: xmltex
Version: 1.9-5

The first one makes xmltex to fail with mysterious message:
! Argument of \XML@getattrib has an extra }.
The other ones are accepted
-----------------------------------------------------------------------------------------------------------
<?xml version="1.0" encoding="UTF-8"?>
<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
<fo:marker>
  <fo:inline>B</fo:inline>
</fo:marker>
</fo:root>
-----------------------------------------------------------------------------------------------------------
<?xml version="1.0" encoding="UTF-8"?>
<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
<fo:marker>
  B
</fo:marker>
</fo:root>
-----------------------------------------------------------------------------------------------------------
<?xml version="1.0" encoding="UTF-8"?>
<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
<fo:inline>B</fo:inline>
</fo:root>
-----------------------------------------------------------------------------------------------------------

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux dalia 2.4.20-pre10 #5 Sun Oct 20 14:24:43 CEST 2002 i686
Locale: LANG=pl_PL.ISO-8859-2, LC_CTYPE=pl_PL.ISO-8859-2

Versions of packages xmltex depends on:
ii  tetex-base              1.0.2+20011202-3 basic teTeX library files
ii  tetex-bin               1.0.7+20011202-8 teTeX binary files
ii  tetex-extra             1.0.2+20011202-3 extra teTeX library files




Severity set to `important'. Request was from Fabien Ninoles <fabien@tzone.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xmltex' to `passivetex'. Request was from Fabien Ninoles <fabien@tzone.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 176415 180149. Request was from Fabien Ninoles <fabien@tzone.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from jaldhar@debian.org (Jaldhar H. Vyas) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from jaldhar@debian.org (Jaldhar H. Vyas) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fabien Ninoles <fabien@debian.org>:
Bug#180149; Package passivetex. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Fabien Ninoles <fabien@debian.org>. Full text and rfc822 format available.

Message #25 received at 180149@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: 180149@bugs.debian.org, Debian BTS Control Daemon <control@bugs.debian.org>
Subject: Still broken
Date: Sun, 11 Jan 2004 02:54:02 +0000
[Message part 1 (text/plain, inline)]
tags 180149 - fixed
tags 176415 - fixed
thanks, control, and have a nice day

This is still broken. The attached file, when processed with "xmlto pdf
foo.xml" gives this error.


7d7574342b770c85570595a73168930c *foo.xml

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
[foo.xml (text/xml, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags removed: fixed Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fabien Ninoles <fabien@debian.org>:
Bug#180149; Package passivetex. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Fabien Ninoles <fabien@debian.org>. Full text and rfc822 format available.

Message #34 received at 180149@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian BTS Control Daemon <control@bugs.debian.org>, 176415@bugs.debian.org, 180149@bugs.debian.org
Cc: graham@debian.org
Subject: Bug in xmlto, not passivetex
Date: Sun, 25 Jan 2004 22:29:36 +0000
[Message part 1 (text/plain, inline)]
reassign 176415 xmlto
# Just in case.
reassign 180149 xmlto
thanks, control, and have a nice day

Graham, this is a bug in the fo-to-dvi, fo-to-ps, and fo-to-pdf
postprocessing scripts. The command 
	sed -e "s,/>,\n/>,g" "$XSLT_PROCESSED" >/tmp.fo
should be
	sed -e "s,/>,/>\n,g" "$XSLT_PROCESSED" >/tmp.fo
.

The former inserts whitespace in the middle of the tag, which causes
{pdf,}xmltex to choke, while the latter causes smooth sailing. I have
tried using the former with pdfxmltex by hand and get the same error as
in these bugs. The latter does not cause the errroor.

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `passivetex' to `xmlto'. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xmlto' to `xmlto'. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Graham Wilson <graham@debian.org>:
Bug#180149; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Graham Wilson <graham@debian.org>. Full text and rfc822 format available.

Message #43 received at 180149@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: 176415@bugs.debian.org, 180149@bugs.debian.org
Subject: Use perl -pe instead of sed -e
Date: Mon, 26 Jan 2004 04:10:50 +0000
[Message part 1 (text/plain, inline)]
Sorry, that should be:
	perl -pe 's,/>,/>\n,g' ...
instead of
	sed -e "s,/>,/>\n,g" ...
because sed has some issues and doesn't like the newline at the end.
Instead it sprinkles 'n's throughout the document. perl-base is also
Essential: yes, so this should not add any dependencies.

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
[signature.asc (application/pgp-signature, inline)]

Tags added: unreproducible Request was from Graham Wilson <bob@decoy.wox.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xmlto' to `sed'. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `sed' to `sed'. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Michal Gajda <mgajda@mimuw.edu.pl> to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: unreproducible Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Bug#180149. Full text and rfc822 format available.

Message #58 received at 180149-submitter@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 176415-submitter@bugs.debian.org, 180149-submitter@bugs.debian.org
Subject: sed and \n
Date: Fri, 20 Feb 2004 23:09:33 -0500
Two things:

In s/BRE/replacement/flags, "replacement" is not a BRE.

In a BRE, "\n" does not mean newline.


Please close these bugs or reassign them back to xmlto, as sed appears
to be conforming to POSIX.



Bug reassigned from package `sed' to `xmlto'. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:13 GMT) Full text and rfc822 format available.

Message #69 received at 180149-done@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 176415-done@bugs.debian.org, 180149-done@bugs.debian.org
Subject: sed usage fixed
Date: Sat, 03 Dec 2011 00:12:31 +0100
Not sure when, but the original issue seems to have been fixed.

The sample still fails because of an issue in docbook-xsl for which a
report has been submitted.

Regards, Daniel





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 31 Dec 2011 07:33:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:51:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.